## Apache Zeta Components Manual :: File Source for ini_item.php

## Source for file ini_item.php

Documentation is available at ini_item.php

1. <?php
2. /**
3. * File containing the ezcConfigurationIniItem class
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @version //autogentag//
24. * @filesource
25. * @package Configuration
26. */
28. /**
29. * A container to store one INI settings item
30. *
31. * This struct is used in various classes to store the data accompanying one
32. * INI setting.
33. *
34. * @package Configuration
35. * @version //autogentag//
36. */
37. class ezcConfigurationIniItem extends ezcBaseStruct
38. {
39. /**
40. * The Configuration item is a setting.
41. *
42. * @var int
43. */
44. const SETTING = 1;
46. /**
47. * The Configuration item is a group..
48. *
49. * @var int
50. */
51. const GROUP_HEADER = 2;
53. /**
54. * The item type.
55. *
56. * Either SETTING or GROUP_HEADER.
57. *
58. * @var int
59. */
60. public $type ;
62. /**
63. * The name of the group this setting belongs to.
64. *
65. * @var string
66. */
67. public $group ;
69. /**
70. * The name of the setting or the group.
71. *
72. * @var string
73. */
74. public $setting ;
76. /**
77. * The dimensions of the setting.
78. *
79. * @var string
80. */
81. public $dimensions ;
83. /**
84. * Comments that belong to this setting.
85. *
86. * @var string
87. */
88. public $comments ;
90. /**
91. * The setting's value.
92. *
93. * @var mixed
94. */
95. public $value ;
97. /**
98. * Constructs an ezcConfigurationIniItem object.
99. *
100. * @param int $type Either SETTING or GROUP_HEADER
101. * @param string $group
102. * @param string $setting
103. * @param string $dimensions
104. * @param string $comments
105. * @param mixed $value
106. */
107. function __construct ( $type, $group, $setting, $dimensions, $comments, $value )
108. {
109. $this-> type = $type;
110. $this-> group = $group;
111. $this-> setting = $setting;
112. $this-> dimensions = $dimensions;
113. $this-> comments = $comments;
114. $this-> value = $value;
115. }
117. /**
118. * Returns a new instance of this class with the data specified by $array.
119. *
120. * $array contains all the data members of this class in the form:
121. * array('member_name'=>value).
122. *
123. * __set_state makes this class exportable with var_export.
124. * var_export() generates code, that calls this method when it
125. * is parsed with PHP.
126. *
127. * @param array(string=>mixed) $array
128. * @return ezcConfigurationIniItem
129. * @ignore
130. */
131. static public function __set_state( array $array )
132. {
133. return new ezcConfigurationIniItem(
134. $array['type'], $array['group'], $array['setting'],
135. $array['dimensions'], $array['comments'], $array['value']
136. );
137. }
138. }
139. ?>

Documentation generated by phpDocumentor 1.4.3